ou2 {pomp} | R Documentation

## Two-dimensional discrete-time Ornstein-Uhlenbeck process

### Description

`ou2()` constructs a ‘pomp’ object encoding a bivariate discrete-time Ornstein-Uhlenbeck process with noisy observations.

### Usage

    ou2(alpha_1 = 0.8, alpha_2 = -0.5, alpha_3 = 0.3, alpha_4 = 0.9,
      sigma_1 = 3, sigma_2 = -0.5, sigma_3 = 2, tau = 1, x1_0 = -3,
      x2_0 = 4, times = 1:100, t0 = 0)

### Arguments

`alpha_1, alpha_2, alpha_3, alpha_4` | entries of the alpha matrix, in column-major order. That is, `alpha_2` is in the lower-left position.
`sigma_1, sigma_2, sigma_3` | entries of the lower-triangular sigma matrix. `sigma_2` is the entry in the lower-left position.
`tau` | measurement error s.d.
`x1_0, x2_0` | latent variable values at time `t0`
`times` | vector of observation times
`t0` | the zero time

### Details

If the state process is X(t) = (x_{1}(t),x_{2}(t)), then

X(t+1) = α X(t) + σ ε(t),

where α and σ are 2x2 matrices, σ is lower-triangular, and ε(t) is standard bivariate normal. The observation process is Y(t) = (y_1(t),y_2(t)), where y_i(t) \sim \mathrm{normal}(x_i(t),τ).

### Value

A ‘pomp’ object with simulated data.

### See Also

Other pomp examples: `blowflies`, `dacca`, `ebola`, `gompertz`, `measles`, `ricker`, `rw2`, `sir_models`, `verhulst`

### Examples

    po <- ou2()
    plot(po)
    coef(po)
    x <- simulate(po)
    plot(x)
    pf <- pfilter(po,Np=1000)
    logLik(pf)

[Package pomp version 2.3 Index]